
*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
*Data: UKHLS Harmonized BHPS IN
*Prepare Sample for Latent Class Analysis, which will use Plugin in Do file 
* Sample: select couples, with successful match, partner also full interview
* Women as the main Respondent, aged 20 to 44, their partners aged 20 to 59
*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
 clear
 set more off
 do "C:\Users\Muzhi\OneDrive - Nexus365\Research\GenderDivision_Fertility\Stata2019\Do_edt\equity0_dir"
 capture log close 
 log using "$Output\equity4_cpsample", replace //log file
 
*-------------------------------------------------------------------------------------------------------*
*0. Sample Selection, Attrition, and Heckman Selection Model
//Couple attrition - not good, may due to divorce, using individual ones!- not good
//Couple attrition - the combination of the two individuals' mills ratio!
*-----------------------------------------------------------------------------------------------------*
use "$WorkData\equity3_var_cpid.dta", clear
	count //63819

 *See couple sample selected at the start of the equity3 do file
 *now the sample is matched couples
 *matched couples, both full interview
 *with housework information asked

*Missing LCA indicator values: - not dropping now as LCA can fill in classes with missing indicators
	ta cpempmatch6c,m //missing 6% if having spouse non-full interview!
	ta incpwm4c,m
	ta howlng_wm4c,m //missing the most in this indicator!
	ta country
	ta wave 
	ta snxt,m //most of the records having full-interview in the next wave

*------------------------------------------------------------------------------------------------------------*	
*Prepare LCA Sample for Plug-in analysis
*------------------------------------------------------------------------------------------------------------*
use "$WorkData\equity3_var_cpid.dta", clear
	*ta cpempmatch6c
	ta wave
	drop if country==4|country==. //Northern Ireland dropped!	
	
	count if tworkhr==0 
	ta wave if howlng==. 
	
	count if cpxweight==0 //zero because individual weight or household weight is zero
	count if xweight==0 
	count if cpxweight==.  
	sort cpid wave
	order cpid wave x_psu x_strata

		keep pidp cpid wave period3_n   xweight nchild nchild3c /*cpxweight xhweight strata*/ ///
										new_jbft sp_new_jbft  cpempmatch6c /// /*employment*/
										workhrall sp_workhrall workhr_percent /// /*work hours*/
										workhrwm5c ///
										howlng sp_howlng howlng_percent ///
										howlng_wm4c howlng_tot n_husits n_husits2 ///
										fimngrs15 sp_fimngrs15 ///
										income_percent incpwm4c /*women's share*/
	
	save "$WorkData\equity4_LCA.dta", replace 
	
	
*The go to do LCA to classify the couples into different division of labor types!
*see: 	\Research\GenderDivision_Fertility\Stata2019\Plugin_edt\lca_equity_edt
//note: users may need to change all the file paths in running LCA, please follow the instruction "Stata LCA Plugin-v1.2c"
//saved in this folder
//LCA output saved in $WorkData\equity4_LCA_cpemp6v_unweighted.dta, which will be merged with the indi data
 
*********************************************************************************************************
*Match LCA Index to original sample
*********************************************************************************************************
use  "$WorkData\equity3_var_cpid.dta", clear //women main respondent couples
	
 *Missing LCA indicators - will still be assigned a class using LCA:
	ta cpempmatch6c,m
	ta howlng_wm4c,m
	ta new_jbft, m
	ta sp_new_jbft, m
	ta incpwm4c,m //what if there is no total personal monthly income - treated as 50%
	ta workhrwm5c,m //workpercent is missing if no total working hours?!
	ta nchild3c,m	
	
 *Missing x-sectional variables:
	count if edu3c==. //  missin
	count if sp_edu3c==. //missing this one
	count if new_hlstat==. // missing
	count if sp_new_hlstat==. //missing
	count if gender_liberal3f ==. //this one missing too many!  missing
	count if sp_gender_liberal3f==. //this one missing too many!  missing
	count if par_dur==. // missing?!	
	count		
	la def cptypo 1 "most tradi" 2 "more tradi" 3 "less tradi" 4 "least tradi" 5 "precarious"
		
 *1. merge using (full/nomissing info) sample:-5 classes
	merge 1:1 pidp wave using "$WorkData\equity4_LCA_cpemp6v_unweighted.dta" //using couple 6 categories as indicator
	//a few not assigning any class because of missing in all indicators...
	ta _merge index_nowei_wkp,m
	
	keep if _merge==3 
	drop _merge	
	ta index_nowei_wkp,m //changed again - assign which value to which category
	gen 	 cptypo_all=1 if index_nowei_wkp==3
	replace  cptypo_all=2 if index_nowei_wkp==2
	replace  cptypo_all=3 if index_nowei_wkp==5
	replace  cptypo_all=4 if index_nowei_wkp==1
	replace  cptypo_all=5 if index_nowei_wkp==4
	la val cptypo_all cptypo
	ta cptypo_all,m //more precarious this time
	ta wave cptypo_all, row nof
	
	count 
save "$WorkData\equity4_lca_merged.dta", replace


erase "$WorkData\equity3_var_cpid.dta"
erase "$WorkData\equity4_LCA.dta"
