*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
*Data: UKHLS Harmonized BHPS IN
*Project: HOusehold Typology and Fertility
*Models: Cross Sectional:
*1.Predicting Couple Typology using # of Children in Household; Change over time
*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
 set seed 339487731 
 clear
 set more off
 do "C:\Users\Muzhi\OneDrive - Nexus365\Research\GenderDivision_Fertility\Stata2019\Do_edt\equity0_dir"
 capture log close 
 log using "$Output\equity6_Models_xsectional", replace //log file
 
*------------------------------------------------------------------------------------------------------------------------*
*Load Data
*Do not use religion and gender attitudes!
*------------------------------------------------------------------------------------------------------------------------*
use  "$WorkData\equity5_lca_cpsample.dta", clear //workdata provided
	count
	drop if edu3c==.|sp_edu3c==.
	drop if new_hlstat==.|sp_new_hlstat==.
	drop if religion_dum==.|x_race==. //reserved from cross-sectional analysis ONLY
	//variables not used for FE analysis, thus not dropping them when using FE models
	count //60,548	-sample used for x-sectional analysis, used more variables, thus dropping some more records
	
	sum age


*Coupledom style - recode to make the dual-earner ones as the reference outcome:
	recode cptypo_all 3=0 4=3 5=4, gen(lcatypo_new)
	ta lcatypo_new lcatypo , m //using egalitarian as the reference group
	la def lcatypo_new 0 "Dual-earner" 1 "Male-breadwinner" ///
					   2 "Modified male-breadwinner" 3 "Female-breadwinner" 4 "Precarious"
	la val lcatypo_new  lcatypo_new 
	ta lcatypo_new  cptypo_all 
	
*Interactions between coupledom style and time:
	ta nchild3c,m
	gen ch1p2=[nchild3c==1&period3_n==2]
	gen ch1p3=[nchild3c==1&period3_n==3]
	gen ch2p2=[nchild3c==2&period3_n==2]
	gen ch2p3=[nchild3c==2&period3_n==3]
	
	ta nchild3c ch1p2
	ta period3_n ch1p2
		

**------------------------Multinomial Models:------------------------------------------*
	set more off
	set seed 339487731 
	set more off	
	eststo clear
									
*By Parenthood Status - ALl, Childless Couples, and Parents:	
								
		eststo, ti ("x_LCAall"): mlogit lcatypo_new  ///
									i.period3_n i.nchild3c   ///
									cohab par_dur  ///	
									age agesq sp_age sp_agesq  ///
									i.edu3c i.sp_edu3c   ///	
									i.new_hlstat i.sp_new_hlstat ///
									i.x_race religion_dum i.country ///
									[pweight = xweight_scalep] , ///
									vce(cluster cpid) base(0)	
		
		
		eststo, ti ("x_LCAchildless"): mlogit lcatypo_new  ///
									i.period3_n  ///
									cohab par_dur  ///	
									age agesq sp_age sp_agesq ///
									i.edu3c i.sp_edu3c   ///	
									i.new_hlstat i.sp_new_hlstat   ///
									i.x_race religion_dum  ///
									i.country ///
									[pweight = xweight_scale] ///
									if nchild==0, vce(cluster cpid) base(0)	
									
		eststo, ti ("x_LCAparents"): mlogit lcatypo_new  ///
									i.period3_n i.nchild3c  ///
									cohab par_dur  ///	
									age agesq sp_age sp_agesq  ///
									i.edu3c i.sp_edu3c  /*i.edumatch1*/ ///	
									i.new_hlstat i.sp_new_hlstat   ///
									i.x_race religion_dum ///
									i.country ///
									[pweight = xweight_scale /*cpxweight*/] ///
									if nchild>0, vce(cluster cpid) base(0)	
	
	*Cross Sectioal Model Predicting Couple TYpe- Table Summary:
	  esttab using "$Output\2019.equity6_Model_xsectional.csv", replace nonum not nodep mti r2 ar2  ///
			starlevels(* 0.05 ** 0.01 *** 0.001) b(%9.3f) se ///
			ti("The Effect of the Interaction between Child Number & Period on Couple Type") ///
			la addnotes("couple weighted")	
