*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
*Data: UKHLS Harmonized BHPS IN
*Project: HOusehold Typology and Fertility
*XXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXXX
discard
drop _all

cd D:\Research\GenderDivision_Fertility\Stata2019\Plugin\
/*CHANGE THIS PATH TO MATCH THE FILE LOCATION ON YOUR MACHINE.*/
//NOTE: path cannot be too long otherwise not working.
use "D:\Research\GenderDivision_Fertility\Stata2019\WorkData\equity4_LCA.dta", clear

	count
	
	ta cpempmatch6c,m
	ta incpwm4c,m
	ta howlng_wm4c, mi //showing whether dropped waves without housework info
	ta wave howlng_wm4c, mi //missing a lot in waves 1,19,21,23 and 25
	ta wave if xweight==.
	
*--------------------------------------------------------------------------------------------*
 *1. Model using emp match 
*--------------------------------------------------------------------------------------------*
	set more off 
	doLCA  cpempmatch6c ///
		  incpwm4c ///
		  howlng_wm4c  ,  ///
		  nclass(5) /// 
		  maxiter(5000)  			///
		  seed(123456789) 			///
		  seeddraws(100000) ///
		  categories(6 4 4)	///
		  criterion(0.000001)  		///
		  rhoprior(1.0)
	//fully restricted sample:
	//nclass=3, df=60, adjusted BIC=2943, model converged in 736 iterations
	//nclass=4, df=48, adjusted BIC=867, model converged in 1103 iterations
	//nclass=5, df=36, adj BIC =545/569(all waves), model converged in 2579 iterations, fewer if all waves!	
	
	return list
	matrix list r(gamma)
	matrix list r(gammaSTD)
	matrix list r(rho) //the item response probabilities for each latent class!

	ta _Best_Index, mi 
	ta cpempmatch6c _Best_Index, nof row
		  
	rename _Best_Index index_nowei_wkp 
	keep pidp wave index_nowei_wkp
	save "D:\Research\GenderDivision_Fertility\Stata2019\WorkData\equity4_LCA_cpemp6v_unweighted.dta", replace

	
*Here you could try running plug-in for parents, childless couples, etc.
*Here you could try using different indicators, e.g. different categories etc.
